Valorant API Unofficial docs
API Reference ItemProgression
GET

Item Upgrades

Get details for item upgrades

Internal name ItemProgressionDefinitionsV2_Fetch Server PD · shard Auth Bearer + Entitlements
GET https://pd.{shard}.a.pvp.net/contract-definitions/v3/item-upgrades
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

Definitions array[object]
Show nested attributes Hide nested attributes 6
ID string · uuid

UUID

Item object
Show nested attributes Hide nested attributes 2
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

RequiredEntitlement object
Show nested attributes Hide nested attributes 2
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

ProgressionSchedule object
Show nested attributes Hide nested attributes 3
Name string
ProgressionCurrencyID string · uuid

Currency ID

ProgressionDeltaPerLevel array[number] nullable
RewardSchedule object
Show nested attributes Hide nested attributes 4
ID string · uuid

UUID

Name string
Prerequisites null
RewardsPerLevel array[object] nullable
Show nested attributes Hide nested attributes 3
EntitlementRewards array[object]
Show nested attributes Hide nested attributes 3
Amount number
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

WalletRewards null
CounterRewards null
Sidegrades array[object] nullable
Show nested attributes Hide nested attributes 3
SidegradeID string · uuid

UUID

Options array[object]
Show nested attributes Hide nested attributes 3
OptionID string · uuid

UUID

Cost object
Show nested attributes Hide nested attributes 1
WalletCosts array[object]
Rewards array[object]
Prerequisites object
Show nested attributes Hide nested attributes 1
RequiredEntitlements array[object]
Show nested attributes Hide nested attributes 2
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID